ParcelParcelAPI docs

API docs Getting started

General information

Markdown

Some basic information regarding our API.

In this section, you can read some general information.

Headers

Headers must include the following

NameValue
X-PP-API{YourAPIKey}@{YourAPISecret}
Content-Typeapplication/json

You can read the instructions on how to get your API Key and API Secret on our Authentication page.

Response

Each JSON response will contain the following 3 elements

NameValue
errors(bool) true || false
messagestring
data(any) will contain data relevant to the request

Successful Response

JSON
{
    "errors": false,
    "message": "Informative message ...",
    "data": {
        "property1": "value1",
        "property2": "value2",
        ...
        ...
        ...
    }
}

Error Response

JSON
{
  "errors": true,
  "message": "No route found for \"GET /partners-api/v1/undefined-route\""
}